cache:
  key: "vendor"
  paths:
  - vendor
test-install-composer:
  # image define la imagen de Docker que se utilizará para el job.
  image: composer:latest
  # Define el stage al que pertenece el job.
  stage: build
  # script es el único parámetro obligatorio y define un shell script que será ejecutado por la build.
  script:
    - composer require --dev phpunit/phpunit
  # only es un condicional que especifica cuándo se ejecutará el job. En este caso sólo para la rama master.
  only:
    - master
test-php-unit:
  needs: ["test-install-composer"]
  # image define la imagen de Docker que se utilizará para el job.
  image: php:latest
  # Define el stage al que pertenece el job.
  stage: test
  # script es el único parámetro obligatorio y define un shell script que será ejecutado por la build.
  script:
    - vendor/bin/phpunit src/
  # only es un condicional que especifica cuándo se ejecutará el job. En este caso sólo para la rama master.
  only:
    - master